#!/bin/sh

cat << EOF
<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
		<title>e-Durable Tooling</title>
		<link rel="stylesheet" href="assets/bootstrap-reboot.min.css">
		<link rel="stylesheet" href="assets/bootstrap-grid.min.css">
		<link rel="stylesheet" href="assets/main.css">
	</head>
	<body>
		<div id="header">
			<img id="header-logo" alt="e-Durable logo" src="assets/edurable-logo.png" />

			<p>
			Convenience webpage to quickly access e-Durable services. Sources on <a
			href="https://code.recycled.cloud/e-Durable/tools.e-durable.ch">code.recycled.cloud</a>.
			</p>
		</div>
		<hr />
		<div class="container">
EOF

for entry in services/*; do
cat << EOF
			<div class="row">
				<div class="col-3 horizontal-align-center vertical-align-center">
					<img src="$entry/logo.png" alt="$entry logo" class="service-logo" />
				</div>
				<div class="col-3 vertical-align-center">
					<a href="$(cat "$entry/url")">$(basename "$entry")</a>
				</div>
				<div class="col-6 vertical-align-center">
					$(cat "$entry/description")
				</div>
			</div>
EOF
done

cat << EOF
		</div>
	</body>
</html>
EOF
